FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202101300140.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202101300140.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=383f62b5c14f82b1a517c467b9e6ca3278c1704c KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=18+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.18.0+383f62b OS_GIT_COMMIT=383f62b OS_GIT_VERSION=4.6.0-202101300140.p0-383f62b SOURCE_DATE_EPOCH=1610665777 SOURCE_GIT_COMMIT=383f62b5c14f82b1a517c467b9e6ca3278c1704c SOURCE_GIT_TAG=383f62b SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
WORKDIR /go/src/github.com/openshift/ptp-operator
COPY . .
ENV GO111MODULE=off
RUN make

FROM openshift/ose-base:v4.6.0.20210130.021535
ENV __doozer=update BUILD_RELEASE=202101300140.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202101300140.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=383f62b5c14f82b1a517c467b9e6ca3278c1704c KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=18+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.18.0+383f62b OS_GIT_COMMIT=383f62b OS_GIT_VERSION=4.6.0-202101300140.p0-383f62b SOURCE_DATE_EPOCH=1610665777 SOURCE_GIT_COMMIT=383f62b5c14f82b1a517c467b9e6ca3278c1704c SOURCE_GIT_TAG=383f62b SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
COPY --from=builder /go/src/github.com/openshift/ptp-operator/build/_output/bin/ptp-operator /usr/local/bin/
COPY --from=builder /go/src/github.com/openshift/ptp-operator/manifests /manifests
COPY bindata /bindata


ENTRYPOINT ["/usr/local/bin/ptp-operator"]

LABEL \
        io.k8s.display-name="OpenShift ptp-operator" \
        io.k8s.description="This is a component that manages cluster PTP configuration." \
        io.openshift.tags="openshift,ptp" \
        com.redhat.delivery.appregistry="False" \
        maintainer="Multus Team <multus-dev@redhat.com>" \
        name="openshift/ose-ptp-operator" \
        com.redhat.component="ose-ptp-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="ptp" \
        release="202101300140.p0" \
        io.openshift.build.commit.id="383f62b5c14f82b1a517c467b9e6ca3278c1704c" \
        io.openshift.build.source-location="https://github.com/openshift/ptp-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ptp-operator/commit/383f62b5c14f82b1a517c467b9e6ca3278c1704c" \
        version="v4.6.0"

